Class | Chef::Exceptions::CookbookVersionSelection::UnsatisfiableRunListItem
In: | lib/chef/exceptions.rb
Parent: | StandardError

In run_list expansion and resolution, a constraint was unsatisfiable.

This exception may not be the complete error report. If you resolve the misconfiguration represented by this exception and re-solve, you may get another exception

### Methods

new to_json

### Attributes

most_constrained_cookbooks | [R] |
non_existent_cookbooks | [R] |
run_list_item | [R] |

### Public Class methods

new(message, run_list_item, non_existent_cookbooks, most_constrained_cookbooks)

most_constrained_cookbooks: if I were to remove constraints regarding these cookbooks, I would get a solution or move on to the next error (deeper in the graph). An item in this list may be unsatisfiable, but when resolved may also reveal further unsatisfiable constraints; this condition would not be reported.

### Public Instance methods

to_json(*a)

[Validate]